:root {
    --colour-curly-wig: #d2ff65;
    --colour-duskdark: #7b2bff;
    --colour-firedot: #d93912;
    --colour-tablelands: #413035;
    --colour-blue-mountains-ash: #e3f0E8;
    --colour-sweet-wattle: #fafff0;
    --colour-mountain-devil: #f9d7f4;

    --colour-black: #000000;
    --colour-white: #ffffff;
}

/* page layout */
.home {
    height: 100vh;
    overflow-y: scroll;
    scroll-snap-type: y mandatory;
}

.scroll-snap-div {
    scroll-snap-align: start;
    width: 100vw;
    min-height: 100vh;
}

#d1 {
    height: 110vh;
    background-image: linear-gradient(to bottom, #d2ff65, #f9d7f4 30%, #e3f0E8 90%, rgb(227, 240, 232, 0.5) 95%, rgb(227, 240, 232, 0) 100%);
    z-index: 0;
}

#d2 {
    height: 100vh;
    overflow-y: scroll;
    scroll-snap-type: y mandatory;
}

#d2-body {
    z-index: 1;
}

#app {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: -1;
}

.home-background {
    background-image: url(/assets/images/P1011505.JPG);
    background-size: cover;
    position: absolute;
    z-index: -2;
    width: 100vw;
    height: 100vh;
}

.photo-isolate {
    isolation: isolate;
}

canvas {
    width: 100%;
    height: 100%;
    display: block;
}

#bg {
    background-color: transparent;
}

/* aoc */
.aoc {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
}

.aoc-text {
    width: 65vw;
    margin: 20vh 0 0 0;
}

.aoc-text h5 {
    text-align: center;
    font-size: 20px;
    padding: 12px;
}

.aoc-arrow {
    padding-top: 40vh;
    cursor: pointer;
}

.skip-d1 #d1 {
    visibility: hidden;
}

/* homepage */
.home-logo-div {
    fill: #65ffea;
    padding-left: 16px;
    padding-right: 16px;
    margin-bottom: 70vh;
    margin-top: 1vh;
    mix-blend-mode: difference;
    filter: hue-rotate(281deg) saturate(1.25) contrast(1.25) opacity(2);
}

.model-copy {
    height: auto;
    max-width: auto;
    border: 1px solid white;
    padding: 10px 10px 10px 10px;
    text-align: left;
    color: white;
    position: fixed;
    right: 80px;
    bottom: 10vh;
    z-index: -1;
}

.model-copy h5 {
    max-width: 23vw;
}

#home-mountain-cutout{
    position: relative;
    top: 22vw;
    z-index: -1;
}

.home-text-buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
    height: 90vh;
    z-index: 1;
    background-image: linear-gradient(to bottom, var(--colour-firedot), var(--colour-duskdark) 70%);
}

#home-subtitle {
    font-size: 7.5vw;
    line-height: 110%;
    margin-top: 28px;
    margin-bottom: 60px;
    color: var(--colour-white);
    text-align: center;
}

#home-detail {
    color: var(--colour-white);
    text-align: center;
    font-size: 20px;
}

.buttons-row {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2vw;
}

.home-button {
    color: var(--colour-white);
    background-color: var(--colour-duskdark);
    text-align: center;
    width: 250px;
    padding: 20px 60px;
    border-radius: 40px;
    margin-bottom: 8px;
    transition: all 0.25s ease;
}

.home-button:hover {
    -webkit-box-shadow: inset 0 0 30px var(--colour-mountain-devil);
    -moz-box-shadow: inset 0 0 30px var(--colour-mountain-devil);
    box-shadow: inset 0 0 30px var(--colour-mountain-devil);
}

#home-ticket-cta {
    background-color: var(--colour-mountain-devil);
    color: var(--colour-black);
}

#home-ticket-cta:hover {
    -webkit-box-shadow: inset 0 0 30px var(--colour-duskdark);
    -moz-box-shadow: inset 0 0 30px var(--colour-duskdark);
    box-shadow: inset 0 0 30px var(--colour-duskdark);
}

.secondary-text {
    margin-top: 140px;
}

.secondary-text h2 {
    color: var(--colour-white);
    text-align: center;
}

/* mobile */
@media (width <= 600px) {

    .aoc-text {
        width: 90vw;
    }

    .aoc-text h5 {
        text-align: center;
        font-size: 16px;
        padding: 12px;
    }

    .aoc-arrow {
        padding-top: 30vh;
        cursor: pointer;
    }

    .home-logo-div {
        margin-bottom: 86vh;
        margin-top: 1.5vh;
    }

    .model-copy {
        padding: 5px;
        text-align: left;
        right: 40px;
        bottom: 25vh;
    }

    .model-copy h5 {
        font-size: 12px;
        max-width: 28vw;
    }

    .home-text-buttons {
        display: flex;
        flex-direction: column;
        align-items: center;
        flex-wrap: wrap;
        width: 100%;
        height: auto;
    }
    
    #home-mountain-cutout{
        position: relative;
        top: 16vw;
        z-index: -1;
    }

    .home-text {
        background-color: var(--colour-firedot);
    }

    #home-detail {
        color: var(--colour-white);
        text-align: center;
        font-size: 4vw;
    }

    #home-subtitle {
        font-size: 12vw;
        line-height: 110%;
        color: var(--colour-white);
        text-align: center;
    }


    .buttons-container {
        background-color: var(--colour-firedot);
        width: 100%;
        margin: auto;
    }

    .buttons-row {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 1vw;
        width: 90vw;
        margin: 0 auto;
    }

    .home-button {
        color: var(--colour-white);
        background-color: var(--colour-duskdark);
        text-align: center;
        width: 230px;
        padding: 10px 10px;
        border-radius: 40px;
        margin-bottom: 8px;
        transition: all 0.25s ease;
    }

    .home-button:hover {
        -webkit-box-shadow: inset 0 0 30px var(--colour-mountain-devil);
        -moz-box-shadow: inset 0 0 30px var(--colour-mountain-devil);
        box-shadow: inset 0 0 30px var(--colour-mountain-devil);
    }

    #home-ticket-cta {
        background-color: var(--colour-mountain-devil);
        color: var(--colour-black);
    }

    #home-ticket-cta:hover {
        -webkit-box-shadow: inset 0 0 15px var(--colour-duskdark);
        -moz-box-shadow: inset 0 0 15px var(--colour-duskdark);
        box-shadow: inset 0 0 15px var(--colour-duskdark);
    }

    .secondary-text {
        margin-bottom: 140px;
        padding: 0 40px 20px 40px;
    }

    .secondary-text h2 {
        color: var(--colour-white);
        text-align: center;
    }

    #d2-body {
        margin-bottom: 0vh;
    }
}

/* foldable */
@media (600px <= width <= 900px) {
    .home-text-buttons img{
        width: 100%;
        height: auto;
    }

    .home-text {
        margin-bottom: 0vh;
    }
    
    #home-subtitle {
        color: var(--colour-white);
        text-align: center;    
    }
}